---
title: AI_NoSuchProviderReferenceError
description: Learn how to fix AI_NoSuchProviderReferenceError
---

# AI_NoSuchProviderReferenceError

This error occurs when a provider reference cannot be resolved because the
specified provider is not found in the provider reference mapping.

## Properties

- `provider`: The provider that was not found
- `reference`: The full provider reference mapping that was searched
- `message`: The error message

## Checking for this Error

You can check if an error is an instance of `AI_NoSuchProviderReferenceError` using:

```typescript
import { NoSuchProviderReferenceError } from 'ai';

if (NoSuchProviderReferenceError.isInstance(error)) {
  // Handle the error
}
```
